2012-04-03  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.9.1

	* etc/passwd: Make sha512 default for local files.
	* src/logindefs.c: Check for NULL pointer, make thread safe.
	* src/unix_passwd.c: Make sha512 default, check for ow-crypt
	return values.

2011-09-22  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.9.0

	* src/unix_sess.c: Set kernel 2.6.40 version if user
	matches an entry in /etc/security/uname26.conf.
	* doc/pam_unix2.8: Document uname26.conf.

2011-06-20  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.8.2

	* src/support.c (__get_tokens): fix type in assignment.

2011-05-18  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.8.1

	* src/support.c (__get_tokens): Fix return values
	in error case.

2011-05-11  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.8

	* configure.in: Don't check for libxcrypt.

	* src/getuser.c: Don't include xcrypt.h.
	* src/unix_auth.c: Likewise.

	* src/unix_passwd.c: Use our own crypt_gensalt_r.

	* src/support (__get_tokens): Fix memory leaks [bnc#680952]

2011-03-01  Michael Calmer  <mc@suse.de>

	* doc/pam_unix2.8: fix man page reference to pam.conf

2011-03-01  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.7.5

	* src/unix_passwd.c (pam_sm_chauthtok): Don't ask for an old
	password, if no one is set and nullok given.

2010-08-11  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.7.4

	* po/gl.po: New.
	* po/LINGUAS: add gl.
	* po/*.po: Update translations.

	* src/unix_acct.c (expire): Fix check if expire date is set.

2009-07-17  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.7.3

	* src/unix_passwd.c (__do_setpass): Sync passwd/shadow file to disk.

	* po/th.po: New translation.
	* po/LINGUAS: Add th.

2009-02-09  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.7.2

	* src/unix_passwd.c (pam_sm_chauthtok): Do password check
	always, not only in PRELIM.

	* po/*.po: Update translations.

2008-11-21  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.7.1

	* po/*.po: Update translations.

2008-10-08  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.7.0

	* src/unix_acct.c (pam_sm_acct_mgmt): Check for	locked shadow
	password [bnc#433008], don't check for empty one (done in auth).

2008-09-26  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c (__do_setpass): Pass through sha256
	and sha512 IDs.

	* src/public.h: Add SHA256 and SHA512.

2008-08-28  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.6

	* src/unix_sess.c: Log tty and hostname if available.

	* src/unix_passwd.c: Compare stored with entered password
	if PAM_CHANGE_EXPIRED_AUTHTOK flag is set [bnc#414783].

	* po/*.po: Update translations.

2008-05-23  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.5.1

	* po/*.po: Update translations.

2008-04-10  Thorsten Kukuk  <kukuk@suse.de>

	* release 2.5.0

	* po/LINGUAS: Add ko, ro.
	* po/ko.po: New.
	* po/ro.po: New.
	* po/*.po: Update translations.

	* configure.in: Don't check for *_rn functionsl
	* src/get_options.c (parse_option): Remove obsolete
	hash options.
	* src/unix_passwd.c: Use crypt_gensalt_r instead of
	crypt_gensalt_rn.


2007-08-27  Thorsten Kukuk  <kukuk@suse.de>

	* release 2.4.1

	* po/*.po: Update all translations.

2007-07-20  Thorsten Kukuk  <kukuk@suse.de>

	* po/af.po: New.
	* po/ar.po: New.
	* po/bn.po: New.
	* po/ca.po: New.
	* po/en_GB.po: New.
	* po/sk.po: New.
	* po/xh.po: New.
	* po/zu.po: New.

2007-04-20  Thorsten Kukuk  <kukuk@suse.de>

	* release 2.4

	* src/passwd_nss.c (_getnswbyname): If no nsswitch.conf is
	found, return always "files".

2006-12-20  Thorsten Kukuk  <kukuk@suse.de>

	* release 2.3

	* src/unix_auth.c (pam_sm_authenticate): Ask for password
	even for unknown accounts [#221233].
	* po/hr.po: Add croatian translation

2006-11-29  Thorsten Kukuk  <kukuk@suse.de>

	* release 2.2

	* src/unix_acct.c: Include config.h.
	* src/public.h: Allow disabling of NLS.
	Based on patches from
	Silvan Minghetti <bullet@users.sourceforge.net>.

	* po/bg.po: New bulgarian translation.
	* po/es.po: Fix translations.
	* po/it.po: Likewise.
	* po/ja.po: Likewise.

2006-11-10  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.1.1

	* src/unix_auth.c (pam_sm_authenticate): Fix wrong NULL pointer
	  check.

	* po/pt_BR.po: Update translation.

	* po/uk.po: New translation.

2006-11-06  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.1

	* src/unix_auth.c (pam_sm_authenticate): If password is empty,
	but user entered one, don't permit access.

	* src/public.h: Adjust prototype for __get_tokens.

	* src/support.c (__get_tokens): Remove at_same_time option,
	remove old debug messages.

	* Update translations for da, de, es, et, fi, fr, id, it, ja,
	jm, lt, nb, pl, ru, sv, zh_CN, zh_TW

2006-09-27  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 2.0.1

	* src/support.c (__get_tokens): Check for NULL as
	strdup argument.

2006-09-15  Thorsten Kukuk  <kukuk@suse.de>

	* release version 2.0

	* src/get_options.c (get_options): Don't read pam_unix2.conf.

	* po/*.po: Update from translation SVN.

	* configure.in: Link against libpam.so.

	* Update to gettext 0.15

2006-08-26  Thorsten Kukuk  <kukuk@thkukuk.de>

	* src/unix_acct.c (pam_sm_acct_mgmt): Remove old NIS+ code.

2006-08-22  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 1.99.0

	* doc/pam_unix2.8: remove obsolete options.

	* src/get_options.c: Remove set_secrpc and not_set_pass
	options.

	* src/getuser.c: Remove NIS+ support.

	* src/getuser.h: Remove S_NISPLUS.

	* src/public.h: Remove suppot for not_set_pass and secrpc_flag.

	* src/support.c: Remove support for not_set_pass, ask for login
	and password at the same time if possible [BNC#175689].

	* src/unix_auth.c: Remove support for secure RPC and NIS+.

	* src/unix_passwd.c: Mark missing strings for translation,
	fix lot of problems with stacking of modules.

2006-04-11  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 1.34

	* po/hu.po:
	* po/fi.po:
	* po/pl.po:

2006-03-02  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 1.33

	* po/hu.po: Update translations.
	* po/km.po: Update translations.

2006-02-05  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 1.32

	* po/pl.po: Update translations.
	* po/fi.po: Update translations.
	* po/km.po: New translation.

2006-02-05  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 1.31

	* po/cs.po: Update translations.
	* po/pt.po: Update translations.
	* po/nb.po: Update translations.

2006-02-05  Thorsten Kukuk  <kukuk@thkukuk.de>

	* src/unix_auth.c (__set_secret_key): Use malloc instead of
	alloca for pam_set_data arguments.

2006-01-27  Thorsten Kukuk  <kukuk@suse.de>

	* po/de.po: Fix translation.

2006-01-19  Thorsten Kukuk  <kukuk@thkukuk.de>

	* release version 1.30

	* src/unix_passwd.c (pam_sm_chauthtok): Call other modules
	before user sanity check [Novell Bugzilla #143507].

	* src/Makefile.am (INSTALL_PROGRAM): remove.

2006-01-17  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.29

	* src/unix_passwd.c (pam_sm_chauthtok): Fix return value if
	load_config() fails.
	* src/unix_acct.c (pam_sm_acct_mgmt): Likewise.
	* src/unix_auth.c: Likewise.
	* src/unix_sess.c: Likewise.

	* src/get_options.c (load_config): Don't report an error if
	config file does not exist.

2006-01-13  Thorsten Kukuk  <kukuk@suse.de>

	* releae version 1.28

	* po/fi.po: New translation.
	* po/de.po: Updated translations.
	* po/fr.po: Likewise.
	* po/it.po: Likewise.
	* po/ja.po: Likewise.
	* po/pt_BR.po: Likewise.
	* po/zh_CN.po: Likewise.
	* po/zh_TW.po: Likewise.

	* configure.in: Check for PAM extensions, add fi.po.

	* src/public.h: Replace __pam_log with pam_syslog.

	* src/support.c: Rename __pam_log to pam_syslog.

	* src/unix_acct.c: Use pam_syslog instead of __pam_log.
	* src/unix_passwd.c: Likewise.
	* src/unix_auth.c: Likewise.
	* src/unix_sess.c: Likewise.
	* src/copy_xattr.c: Likewise.

2006-01-08  Thorsten Kukuk  <kukuk@thkukuk.de>

	* src/unix_auth.c (pam_sm_authenticate): Use
	PAM_AUTHTOK_RECOVERY_ERR instead of PAM_AUTHTOK_RECOVER_ERR.
	* src/unix_passwd.c (pam_sm_chauthtok): Likewise.

2005-12-09  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.27

	* integrate translations.

2005-08-30  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_auth.c (pam_sm_authenticate): Warn if we don't have
	permissions to read the password database.

	* src/support.c (__get_authtok): Mark string for translation.

2005-08-09  Stefan Schubert  <schubi@suse.de>

	* src/unix_acct.c: Don't ignore if passwords needs to be
	changed by third modules.

2005-01-12  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.26

	* src/support.c (__pam_log): Fix memory leak.

2005-01-03  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.25

	* src/unix_acct.c (pam_sm_acct_mgmt): Don't continue if calling
	PAM module returns PAM_ACCT_EXPIRED (reported by Martin Zuziak,
       	<zuziak@math.ku.dk>)

2004-09-17  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.24

	* src/unix_auth.c (pam_sm_authenticate): Bail out on unknown users
	after asking them for the password.

2004-07-26  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.23

	* doc/pam_unix2.8: Remove md5/blowfish reference

	* src/unix_auth.c (pam_sm_setcred): Don't call other PAM
	modules if root tries to login.

2004-07-22  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c (__do_setpass): Read /etc/default/passwd for
	crypt hash.

2004-07-20  Thorsten Kukuk  <kukuk@suse.de>

	* src/public.h: Add dgettext macro.

	* src/passwd_nisplus.c: Mark strings for translation.
	* src/unix_acct.c: Likewise.
	* src/unix_passwd.c: Likewise.

2004-07-20  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (SUBDIRS): Add m4.
	(ACLOCAL_AMFLAGS): New variable.
	(EXTRA_DIST): New variable.
	* configure.in (AC_OUTPUT): Add po/Makefile.in,

2004-06-23  Thorsten Kukuk  <kukuk@suse.de>

	* src/getuser.c (__do_getpwnam): make username argument const.

	* src/unix_auth.c (pam_sm_authenticate): Don't call PAM modules
	if the user to authenticate is root.
	* src/unix_acct.c (pam_sm_acct_mgmt): Likewise.

	* src/unix_passwd.c (pam_sm_chauthtok): Code cleanup.

2004-06-21  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_sess.c: Make sure log_level is initialized (Reported
	by Peter C. Norton <spacey@lenin.net>).

2004-03-24  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_sess.c (pam_sm_open_session): Check for empty user name
	before checking if something is to do.
	(pam_sm_close_session): Likewise.

2004-03-19  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.22

	* src/unix_passwd.c: Only ask once for new password, for
	more comfort use pam_pwcheck. Remove lot of dead code.

2004-03-13  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.21

	* src/get_options.c (load_config): Read at first /etc/default/passwd.
	* src/logindefs.c: New.
	* src/logindefs.h: New.

2004-02-23  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.20

	* src/unix_acct.c (pam_sm_acct_mgmt): Use new get_options interface.
	* src/unix_passwd.c (pam_sm_chauthtok): Likewise.
	* src/unix_auth.c: Likewise.
	* src/unix_sess.c: Likewise.

	* src/get_options.c (get_options): New interface.

	* src/copy_xattr.c (copy_xattr): Free memory in error case.

	* src/unix_auth.c: Use alloca instead of malloc.

2004-01-04  Thorsten Kukuk  <kukuk@suse.de>

	* src/copy_xattr.c (copy_xattr): Adjust for new
	is_selinux_enabled interface.
	* src/selinux_utils.c (set_default_context): Likewise.
	* src/selinux_utils.c (restore_default_context): Likewise.

2003-12-01  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.19

	* src/unix_passwd.c (__do_setpass): Abort if we cannot reset
	security context.

	* src/selinux_utils.c (restore_default_context): Don't ignore
	errors.

2003-11-26  Thorsten Kukuk  <kukuk@suse.de>

	* src/copy_xattr.c (copy_xattr): Replace fprintf with __pam_log.
	* src/selinux_utils.c: Likewise.
	* src/passwd_nisplus.c (update_npd): Likewise.

2003-11-25  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_sess.c (pam_sm_open_session): Check, if user name
	is not NULL.
	(pam_sm_close_session): Likewise.
	* src/unix_acct.c (pam_sm_acct_mgmt): Likewise.

	* src/unix_passwd.c (__do_setpass): Return PAM_* error codes.


2003-11-24  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c (__do_setpass): Add SELinux support and
	copy extended attributes for passwd/shadow file.
	* src/selinux_utils.c: Wrapper functions for SELinux support.
	* src/copy_xattr.c: Copy extended attributes of a file.

	* configure.in: Add checks for SELinux and xattr functions.

2003-09-15  Thorsten Kukuk  <kukuk@suse.de>

	* src/get_options.c (parse_option): Add sanity check for argv.

2003-09-08  Thorsten Kukuk  <kukuk@suse.de>

	* src/support.c (__call_other_module): Fix use_first_pass
	handling.

	* src/unix_auth.c (pam_sm_setcred): Ignore PAM_CRED_UNAVAIL
	from called module.

2003-07-15  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.18

2003-07-15  Olaf Kirch  <okir@suse.de>

	* src/get_options.c: Add add_other_module and use it
	for option parsing, add use_krb5.
	* src/public.h: Add prototypes for new functions.
	* src/support.c: Add __call_other_module.
	* src/unix_acct.c: Use __call_other_module.
	* src/unix_auth.c: Likewise.
	* src/unix_passwd.c: Likewise.

2003-07-14  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.17

	* doc/pam_unix2.8: Document call_modules.

	* src/get_options.c: Rename "call_module" to "call_modules"
	and implement list of modules to be called before.

	* src/unix_acct.c (pam_sm_acct_mgmt): Use new
	"use_other_modules" syntax.
	* src/unix_passwd.c (pam_sm_chauthtok): Likewise.
	* src/unix_auth.c (pam_sm_authenticate): Likewise.

	* src/public.h (options_t): Rename "use_other_module" to
	"use_other_modules".

2003-06-30  Thorsten Kukuk  <kukuk@suse.de>

	* src/public.h: Rename "use_ldap" to "use_other_module".

	* src/get_options.c (parse_option): Add "call_module" and
	modify use_ldap.

	* src/unix_auth.c (pam_sm_authenticate): Change use_ldap to
	use_other_module and implement it in a generic way.
	* src/unix_acct.c (pam_sm_acct_mgmt): Likewise.
	* src/unix_passwd.c (pam_sm_chauthtok): Likewise.

2003-05-12  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.16

	* src/getuser.c (__get_passwd): Fix dereferencing type-punned
	pointer warning.
	* src/unix_auth.c (pam_sm_setcred): Likewise.
	* src/support.c (__get_authtok): Likewise.
	* src/support.c (__write_message): Likewise.
	* src/unix_passwd.c (pam_sm_chauthtok): Likewise.

	* src/unix_acct.c (expire): Add paramter uid, allow password
	change requests for root accounts.
	* src/unix_acct.c (pam_sm_acct_mgmt): Always call expire().

2003-03-14  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_acct.c (hp_expire): Check for NULL pointer before
	using the variable.

2003-01-15  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.15

	* src/unix_auth.c: return PAM_SERVICE_ERR, if user aborts
	input of account name with Ctrl-D.

	* src/Makefile.am: Use full path to linker map
	* src/read-files.c: Modify to compile with gcc 2.95.x
	(both reported by Peter Breitenlohner <peb@mppmu.mpg.de>)

2003-01-15  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.14

	* src/getuser.c: New, from pam_pwcheck 2.0
	* src/getuser.h: New, from pam_pwcheck 2.0
	* src/read-files.c: Sync with pam_pwcheck 2.0

	* src/public.h: Remove user_t definition
	* src/unix_passwd.c: Remove functions which are now in getuser.c

	* configure.in: Don't check for --export-dynamic
	* src/Makefile.am: Use linker map pam_unix2.map
	* src/pam_unix2.map: New, export only official PAM interface

2003-01-14  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.13

	* src/unix_passwd.c (__do_getpwnam): If local files for NIS are
	defined, use this one.
	(pam_sm_chauthtok): Remove sanity check for identical password,
	pam_pwcheck.so is for sanity checks. Don't ask for root for
	old password, if we change local NIS passwords.
	(__do_setpass): Change NIS password in local files if we know
	the file location.

	* src/Makefile.am: Use AM_CFLAGS instead of CFLAGS.

	* src/public.h: Remove duplicate declarations from PAM header files.

	* src/read-files.c: New, from pwdutils. Reads data from local
	passwd/shadow file.
	* src/read-files.h: New.
	* src/unix_passwd.c: Use functions from read-files.c instead of
	dlopen libnss_files.
	* src/get_options.c: Define files_etc_dir with /etc as default.

2002-08-27  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.12

	* doc/pam_unix2.8: First try to write a manual page.

	* src/unix_acct.c (pam_sm_acct_mgmt): Return with PAM_PERM_DENIED,
	if this is the return value of pam_ldap. Reported by
	Andreas Christoforou <it99111@uom.gr>.

2002-08-09  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c (pam_sm_chauthtok): Add a lot of debug messages.

2002-07-22  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.11

	* src/get_options.c (parse_option): Change HAVE_GENSALT_RN to
	HAVE_CRYPT_GENSALT_RN to match configure test.
	* src/unix_passwd.c: Likewise.

2002-07-04  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c (__do_setpass): Set permissions of temporary
	files before calling fdopen.

2002-07-02  Thorsten Kukuk  <kukuk@suse.de>

	* configure.in: Fix typo (crpyt_rn vs. crypt_rn), reported
	by Peter BARABAS <z0d@artifact.hu>.

2002-05-20  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c: Remove unused i64c() function.

2002-04-25  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.10

	* src/unix_passwd.c (__do_setpass): Close files before calling
	rename, fix error handling.

2002-04-17  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.9

	* src/unix_passwd.c (pam_sm_chauthtok): Add more documentation
	to the code.

2002-04-15  Thorsten Kukuk  <kukuk@suse.de>

	* src/get_options.c (parse_option): Print error message, if
	requested crypt method is not compiled in.
	(get_options): Use SYSCONFDIR for path to config file.

	* src/unix_passwd.c: Replace crypt_rn with crypt_r.
	Print error message, if bigcrypt is used, but not compiled in.
	Print error message, if blowfish is used, but not compiled in.
	Create salt for DES crypt with old method if crypt_gensalt_rn
	does not exist.

	* configure.in: Fix checking for supported crypt functions.
	* src/Makefile.am: Define PAMDIR as path to default PAM modules.
	Define SYSCONFDIR as path to config file.
	* src/unix_acct.c (pam_sm_acct_mgmt): Use PAMDIR for path to
	pam_ldap module.
	* src/unix_auth.c (pam_sm_authenticate): Likewise.
	* src/unix_passwd.c (pam_sm_chauthtok): Likewise.

2002-04-13  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c: Include at first xcrypt.h, then crypt.h.
	* src/unix_acct.c: Include at first xcrypt.h, then crypt.h. Use
	crypt_r instead of crypt_rn (to be compatible with libcrypt).

	* configure.in: Search at first for libxcrypt before using libcrypt.
	* src/Makefile.am: remove not longer used source files.
	* src/bigcrypt.c: removed
	* src/crypt_blowfish.c: removed
	* src/crypt_gensalt.c: removed
	* src/own-crypt.h: removed
	* src/wrapper.c: removed

2002-03-09  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.8

	* src/uix_auth.c: Allow usernames starting with "_"

2002-02-05  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.7

	* src/get_options.c (load_config): Fix typo (don't parse behind
	end of string).

2002-01-20  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c (__get_passwd): Return NULL if user aborts
	input with Ctrl-D.

2002-01-18  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.6

	* src/unix_sess.c: Call get_options().

	* src/public.h (options_t): Add log_level for session management.

	* src/get_options.c: Add support for session management options.

2002-01-17  Thorsten Kukuk  <kukuk@suse.de>

	* Makefile.am (SUBDIRS): Add etc

	* configure.in: Create etc/Makefile

	* etc/pam_unix2.conf: New, example configuration file
	* etc/Makefile.am: New

	* src/unix_acct.c (pam_sm_acct_mgmt): Use get_options().
	* src/unix_auth.c: Likewise.

	* src/support.c (__pam_log): Don't use openlog/closelog, instead
	use pam_unix2 prefix to syslog string.

	* src/Makefile.am: Add get_options.c as new source file.

	* src/get_options.c (get_options): New file, parse parameters
	and read config file.

	* src/unix_passwd.c (pam_sm_chauthtok): Create a copy of the
	old password, we are not allowed to free data we got from PAM.
	Don't parse parameters, use get_options() instead.

2002-01-13  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.5

	* src/unix_passwd.c (free_user_t): clear plain text passwords
	before freeing memory, free old clear text password (memory leak).

2002-01-12  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c (pam_sm_chauthtok): Load pam_ldap.so for
	LDAP support.
	(__do_getpwnam): Load nss modules with dlopen.

	* src/unix_auth.c (pam_sm_authenticate): Load pam_ldap.so for
	LDAP support.
	* src/unix_acct.c (pam_sm_acct_mgmt): Likewise.

	* src/Makefile.am: Don't link against nss modules.

	* configure.in: test for libdl and libnsl.

2002-01-09  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.4

	* src/unix_passwd.c: Have only one instance of struct crypt_data
	and initialize it.

	* src/unix_auth.c (pam_sm_authenticate): Initialize buffer for
	crypt_rn

2002-01-07  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.3

	* src/Makefile.am: Create pam_unix2.so with correct soname to
	satisfy RPM dependency building on 64bit platforms.

2002-01-05  Thorsten Kukuk  <kukuk@suse.de>

	* release version 1.2

	* src/unix_passwd.c (__do_getpwnam): Create copy of old password
	and remove HP-UX aging information if available.

	* src/unix_auth.c (pam_sm_authenticate): Use crypt_rn instead
	of crypt.

	* src/unix_passwd.c: Use crypt_rn instead of crypt.
	(make_crypt_salt): Replaces all old functions to creat a salt,
	call own crypt functions with blowfish support.
	* src/md5.c: Removed.
	* src/md5.h: Removed.
	* src/md5_crypt.c: Removed.
	* src/own-crypt.h: Prototypes for crypt wrapper functions.
	* src/crypt_blowfish.c: blowfish crypt implementation.
	* src/crypt_gensalt.c: functions to generate salt strings for
	not blowfish crypt functions.
	* src/wrapper.c: wrapper for the different crypt implementations.

2002-01-03  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_passwd.c (make_bf_salt): New function, create salt
	for blowfish crypt.
	(make_crypt_salt): New function, create salt for standard crypt,
	used in __do_setpass().
	(__do_setpass): Add calls to blowfish functions.

	* src/public.h: Add enum crypt_t.

2002-01-02  Thorsten Kukuk  <kukuk@suse.de>

	* src/unix_auth.c (pam_sm_authenticate): Use getpwnam_r
	and getspnam_r, make copy of password for salt with strdupa.

	* src/unix_acct.c (pam_sm_acct_mgmt): Use getpwnam_r
	and getspnam_r.

2001-11-09  Thorsten Kukuk  <kukuk@suse.de>

	* releae version 1.1

	* src/passwd_nisplus.c: Include time.h

	* src/Makefile.am: Links against nss modules

2001-11-01  Thorsten Kukuk  <kukuk@suse.de>

        * use configure and automake

2001-07-11  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c (pam_sm_chauthtok): If we get the newpass
	  variable with pam_get_item(), make a work copy (else it
	  will be give free twice).
	  (pam_sm_chauthtok): Always ask for the password if we
          change it because it is expired.

2001-05-05  Thorsten Kukuk  <kukuk@suse.de>

	* unix_auth.c: Add debug option
	* pam_unix2: For trace option use LOG_NOTICE

2001-03-08  Thorsten Kukuk  <kukuk@suse.de>

	* Makefile: Link module against libcrypt

2001-03-05  Thorsten Kukuk  <kukuk@suse.de>

	* Makefile: Adjust for Linux-PAM 0.74

2001-02-13  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c: Use mkstemp to create passwd and shadow temp file.
	                 Include time.h.

2000-06-23  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c (pam_sm_chauthtok): Make sure that root can
	  always change a passwort of another user.

2000-05-15  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c (__do_getpwnam): is_expiring is independend of
	  password inactive.

2000-03-01  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c (pam_sm_chauthtok): Fix handling of new, empty
	  passwords.

2000-01-27  Thorsten Kukuk  <kukuk@suse.de>

	* passwd_nisplus.c, nispasswd.h: New, for changing NIS+ passwords.

2000-01-26  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c: Move service_t and user_t from here ...
	* public.h: ... to here.

	* unix_acct.c: Replace syslog with __pam_log.
	* unix_passwd.c: Likewise.
	* unix_auth.c: Likewise.
	* unix_sess.c: Likewise.

	* support.c (__pam_log): New function.
	* public.h: Add __pam_log prototype.

2000-01-23  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c: Remove wrong __free_user_t calls.

2000-01-21  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c (__do_getpwnam): Use order from /etc/nsswitch.conf
	  to find the user passwd entry.

1999-12-17  Thorsten Kukuk  <kukuk@suse.de>

	* Makefile.alone: Add bigcrypt.c, md5.c, md5_crypt.c
	* Makefile: Likewise.
	* md5.c: New.
	* md5_crypt.c: New.
	* unix_passwd.c (i64c): New function.

1999-12-16  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c: Add support for md5 and bigcrypt.
	* bigcrypt.c: New, from Linux-PAM 0.70.

1999-12-12  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c (pam_sm_chauthtok): Implement not_set_pass,
	  use_authtok and use_first_pass option.

	* unix_auth.c (pam_sm_authenticate): Log unknown parameter.

1999-11-21  Thorsten Kukuk  <kukuk@suse.de>

	* unix_acct.c (expire): Remove unused struct passwd parameter.

	* unix_auth.c: Add more flags.

1999-11-06  Thorsten Kukuk  <kukuk@suse.de>

	* unix_passwd.c (__do_setpass): Finish local password changes.

	* Makefile.alone: New, if you wish to compile the module outside
	  of the Linux-PAM source tree.
	* pam_unix2.sgml: New.

1999-10-10  Thorsten Kukuk  <kukuk@suse.de>

	* unix_acct.c (expire): Check if password changing is enforced.

	* unix_passwd.c (__do_getpwnam): Check if password changing is
	  enforced.
	  (__do_setpass): Add functions for writing shadow password back.

1999-09-28  Thorsten Kukuk  <kukuk@suse.de>

	* unix_acct.c (pam_sm_acct_mgmt): Use default login prompt.
	* unix_auth.c (pam_sm_authenticate): Likewise.
	* unix_sess.c: Likewise.

1999-09-25  Thorsten Kukuk  <kukuk@suse.de>

	* unix_auth.c (__set_secret_key): Make sure domainname has no
	  trailling dot.

	* Start writing ChangeLog entries.
